wait for modem for a bit when it is not immediately available yet (e.g. after crust wakeup)

This commit is contained in:
Maarten van Gompel 2021-01-30 18:17:46 +01:00
parent 1608ab1ae4
commit 24f8ed8478

View file

@ -16,9 +16,19 @@ gracefulexit() {
}
modem_n() {
MODEMS="$(mmcli -L)"
echo "$MODEMS" | grep -oE 'Modem\/([0-9]+)' > /dev/null || err "Couldn't find modem - is your modem enabled?\nDisabling modem monitor"
echo "$MODEMS" | grep -oE 'Modem\/([0-9]+)' | cut -d'/' -f2
TRIES=0
while [ "$TRIES" -lt 10 ]; do
MODEMS="$(mmcli -L)"
if ! echo "$MODEMS" | grep -oE 'Modem\/([0-9]+)' > /dev/null; then
TRIES=$((TRIES+1))
echo "sxmo_modemmonitor: modem not found, waiting for modem... (try #$TRIES)">&2
sleep 1
else
echo "$MODEMS" | grep -oE 'Modem\/([0-9]+)' | cut -d'/' -f2
return
fi
done
err "Couldn't find modem - is your modem enabled? Disabling modem monitor"
}
lookupnumberfromcallid() {